View Issue Details

IDProjectCategoryView StatusLast Update
0001383Main CAcert Website[All Projects] Generalpublic2015-05-20 00:12
ReporterfelixdAssigned ToBenBE 
PrioritynormalSeverityminorReproducibilityalways
Status needs reviewResolutionopen 
PlatformMain CAcert WebsiteOSN/AOS Versionstable
Product Version 
Target VersionFixed in Version 
Summary0001383: PHP Notices in www/ac.php
DescriptionPHP Notice: Undefined index: i in /git/cacert/www/ac.php on line 20, referer: https://cacert1.it-sls.de//wot.php?id=12
PHP Notice: Undefined offset: 1 in /git/cacert/www/ac.php on line 31, referer: https://cacert1.it-sls.de//wot.php?id=12
PHP Notice: Undefined offset: 2 in /git/cacert/www/ac.php on line 32, referer: https://cacert1.it-sls.de//wot.php?id=12
PHP Notice: Undefined index: i in /git/cacert/www/ac.php on line 48, referer: https://cacert1.it-sls.de//wot.php?id=12
Steps To Reproducego to ac.php (e.g. use the autocomletion for locations)
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

felixd

2015-05-05 20:18

updater   ~0005380

Fix is here: https://github.com/yellowant/cacert-devel/tree/bug-1383

felixd

2015-05-08 01:53

updater   ~0005385

Test instructions:

Use the "Location" autocompletion and verify (or let verify) that these notifications do not occur in the servers log.

Eva

2015-05-19 20:23

updater   ~0005399

I tried different location entries, including correct ones and not contained ones. I tried different distances. I confirmed with enter and by clicking the button.

There was no error on the log according to BenBE, while I did so.

=> ok

janmaco

2015-05-20 00:12

updater   ~0005400

Last edited: 2015-05-20 00:12

View 2 revisions

I tested several locations (existent and non-existent ones) and different distances while the server log had been monitored.

No errors/notices in the log => OK

Issue History

Date Modified Username Field Change
2015-05-05 20:12 felixd New Issue
2015-05-05 20:18 felixd Note Added: 0005380
2015-05-05 20:18 felixd Assigned To => BenBE
2015-05-05 20:18 felixd Status new => fix available
2015-05-05 20:24 BenBE Status fix available => needs review & testing
2015-05-05 20:24 BenBE Summary Php Notices in www/ac.php => PHP Notices in www/ac.php
2015-05-05 20:24 BenBE Description Updated View Revisions
2015-05-05 20:24 BenBE Project Software Rewrite => Main CAcert Website
2015-05-08 01:53 felixd Note Added: 0005385
2015-05-19 20:23 Eva Note Added: 0005399
2015-05-20 00:12 janmaco Note Added: 0005400
2015-05-20 00:12 janmaco Note Edited: 0005400 View Revisions
2015-05-20 00:12 felixd Status needs review & testing => needs review